//
//  CardPrintView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 13/11/2024.
//

import SwiftUI

struct CardPrintView: View {
    var body: some View {
        VStack(alignment: .leading, spacing: 16) {
            SQText("Génération d’une planche au format A4 comprenant 8 cartes de visite.", font: .demiBold)
            Image("visit_card_print_template")
                .resizable()
                .scaledToFit()
                .frame(height: 100)
                .frame(maxWidth: .infinity)
            SQText("Nous vous recommandons : \n • Une impression haute qualité, en couleur \n •  L’utilisation d’un papier d’au moins 200 g/m2 ")
            SQButton("Imprimer", color: .sqNeutral(100), textColor: .white) {}
                .frame(maxWidth: .infinity)
            Spacer()
        }
        .padding()
    }
}

#Preview {
    CardPrintView()
}
